/*  Project clsxprt2
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    clsxprt2.exe Application
    FILE:         tfrmtdlg.cpp
    AUTHOR:       


    OVERVIEW
    ========
    Source file for implementation of TFrmtDialog (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "tfrmtdlg.h"


//{{TFrmtDialog Implementation}}

DEFINE_RESPONSE_TABLE1(TFrmtDialog, TDialog)
    EV_COMMAND(IDOK, CmOk),
END_RESPONSE_TABLE;


TFrmtDialog::TFrmtDialog (TWindow* parent, TResId resId, TModule* module):
    TDialog(parent, resId, module)
{
    // INSERT>> Your constructor code here.

}


TFrmtDialog::~TFrmtDialog ()
{
    Destroy();

    // INSERT>> Your destructor code here.

}


BOOL TFrmtDialog::EvInitDialog (HWND hWndFocus)
{
    BOOL result;

	 result = TDialog::EvInitDialog(hWndFocus);

    // INSERT>> Your code here.
    CheckRadioButton(IDC_MMDDYY_RBT, IDC_YYMMDD_RBT,
                     IDC_MMDDYY_RBT);
    CheckRadioButton(IDC_24HR_RBT, IDC_AMPM_RBT,
                     IDC_24HR_RBT);

    return result;
}

void TFrmtDialog::CmOk()
{
    // save date format
    if (IsDlgButtonChecked(IDC_MMDDYY_RBT))
      df = clsxprt2App::mmddyy;
    else if (IsDlgButtonChecked(IDC_DDMMYY_RBT))
      df = clsxprt2App::ddmmyy;
    else
      df = clsxprt2App::yymmdd;

    // save time format
    IsAmPm = (IsDlgButtonChecked(IDC_AMPM_RBT)) ?
                                           TRUE : FALSE;
    TDialog::CmOk();
}
